document.addEventListener('DOMContentLoaded', function() {
  const generateMemeButton = document.getElementById('generate-meme');
  const memeImage = document.getElementById('meme-image');
  const memeText = document.getElementById('meme-text');
  const directorInput = document.getElementById('director');
  const actor1Input = document.getElementById('actor1');
  const actor2Input = document.getElementById('actor2');

  generateMemeButton.addEventListener('click', function() {
    const text = memeText.value;
    if (text) {
      memeImage.src = `https://via.placeholder.com/600x400.png?text=${encodeURIComponent(text)}`;
    }
  });

  // Example of updating credits dynamically
  directorInput.addEventListener('input', function() {
    console.log('Director:', directorInput.value);
  });

  actor1Input.addEventListener('input', function() {
    console.log('Actor 1:', actor1Input.value);
  });

  actor2Input.addEventListener('input', function() {
    console.log('Actor 2:', actor2Input.value);
  });
});